SUSE SLED12 / SLES12 Security Update : java-1_7_0-openjdk (SUSE-SU-2018:0661-1)

high Nessus Plugin ID 108280

Language:

Synopsis

The remote SUSE host is missing one or more security updates.

Description

This update for java-1_7_0-openjdk fixes the following issues:
Security issues fixed in OpenJDK 7u171 (January 2018 CPU)(bsc#1076366) :

- CVE-2018-2579: Improve key keying case

- CVE-2018-2588: Improve LDAP logins

- CVE-2018-2599: Improve reliability of DNS lookups

- CVE-2018-2602: Improve usage messages

- CVE-2018-2603: Improve PKCS usage

- CVE-2018-2618: Stricter key generation

- CVE-2018-2629: Improve GSS handling

- CVE-2018-2633: Improve LDAP lookup robustness

- CVE-2018-2634: Improve property negotiations

- CVE-2018-2637: Improve JMX supportive features

- CVE-2018-2641: Improve GTK initialization

- CVE-2018-2663: More refactoring for deserialization cases

- CVE-2018-2677: More refactoring for client deserialization cases

- CVE-2018-2678: More refactoring for naming

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:zypper in -t patch SUSE-SLE-RPI-12-SP2-2018-448=1

SUSE Linux Enterprise Server 12-SP3:zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-448=1

SUSE Linux Enterprise Server 12-SP2:zypper in -t patch SUSE-SLE-SERVER-12-SP2-2018-448=1

SUSE Linux Enterprise Desktop 12-SP3:zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-448=1

SUSE Linux Enterprise Desktop 12-SP2:zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2018-448=1

To bring your system up-to-date, use 'zypper patch'.

See Also

https://bugzilla.suse.com/show_bug.cgi?id=1076366

https://www.suse.com/security/cve/CVE-2018-2579/

https://www.suse.com/security/cve/CVE-2018-2588/

https://www.suse.com/security/cve/CVE-2018-2599/

https://www.suse.com/security/cve/CVE-2018-2602/

https://www.suse.com/security/cve/CVE-2018-2603/

https://www.suse.com/security/cve/CVE-2018-2618/

https://www.suse.com/security/cve/CVE-2018-2629/

https://www.suse.com/security/cve/CVE-2018-2633/

https://www.suse.com/security/cve/CVE-2018-2634/

https://www.suse.com/security/cve/CVE-2018-2637/

https://www.suse.com/security/cve/CVE-2018-2641/

https://www.suse.com/security/cve/CVE-2018-2663/

https://www.suse.com/security/cve/CVE-2018-2677/

https://www.suse.com/security/cve/CVE-2018-2678/

http://www.nessus.org/u?08951c81

Plugin Details

Severity: High

ID: 108280

File Name: suse_SU-2018-0661-1.nasl

Version: 1.4

Type: local

Agent: unix

Published: 3/13/2018

Updated: 9/10/2019

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: High

Score: 7.3

CVSS v2

Risk Factor: Medium

Base Score: 5.8

Temporal Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.3

Temporal Score: 7.2

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-debuginfo, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-debugsource, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-demo, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-demo-debuginfo, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-devel, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-devel-debuginfo, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-headless, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-headless-debuginfo, cpe:/o:novell:suse_linux:12

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 3/12/2018

Vulnerability Publication Date: 1/18/2018

Reference Information

CVE: CVE-2018-2579, CVE-2018-2588, CVE-2018-2599, CVE-2018-2602, CVE-2018-2603, CVE-2018-2618, CVE-2018-2629, CVE-2018-2633, CVE-2018-2634, CVE-2018-2637, CVE-2018-2641, CVE-2018-2663, CVE-2018-2677, CVE-2018-2678